Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.watch
Class ForkingFeed

    java.lang.Object
      com.saxonica.stream.feed.EventFeed
          com.saxonica.stream.watch.ForkingFeed

All Implemented Interfaces:
  Feed

    public class ForkingFeed

extends EventFeed

Watch for an xsl:fork instruction. This doesn't really need to be a Watch, because it always processes the context node; but it means we can reuse a lot of code from the ApplyTemplatesWatch

Field Summary
`InvertedExpression[]` | `children`
`WatchManager` | `watchManager`

Constructor Summary
`ForkingFeed(Expression expression, Feed parentExpressionFeed, Stack<XPathContext> contextStack)`

Method Summary
`void` | `open()` Start evaluating the expression.
`void` | `setActions(InvertedExpression[] actions)`
`void` | `setWatchManager(WatchManager watchManager)`

Methods inherited from class com.saxonica.stream.feed.EventFeed
`append, close, getContext, getContextStack, getExpression, getPipelineConfiguration, getResult, setPipelineConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### children

    public InvertedExpression[] children

### watchManager

    public WatchManager watchManager

Constructor Detail

### ForkingFeed

    public ForkingFeed(Expression expression,
                       Feed parentExpressionFeed,
                       Stack<XPathContext> contextStack)
                throws XPathException

Throws:
  `XPathException`

Method Detail

### setActions

    public void setActions(InvertedExpression[] actions)

### setWatchManager

    public void setWatchManager(WatchManager watchManager)

### open

    public void open()
              throws XPathException

  Description copied from class: `EventFeed`
  Start evaluating the expression. This must call open() on the parent expression feed before it does anything else. For the default implementation, this is all that it does. Note that it does not open the destination receiver.

  Specified by:
    `open` in interface `Feed`
  Overrides:
    `open` in class `EventFeed`
  Throws:
    `XPathException` - to report any failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.